openapi: 3.0.0
info:
  title: Nomus API Ecubus
  description: |-
    API de integração do Nomus com a Ecubus

    Contact Support:
     Email: suporte@nomus.com.br
  version: 1.0.0
servers:
  - url: http://{{baseurl}}
paths:
  /ecubus/inserirEngenhariaProduto:
    post:
      tags:
        - General
      summary: inserir Engenharia Produto
      requestBody:
        content:
          application/json:
            schema:
              type: object
              example:
                descricaoProduto: Descrição Produto Teste
                idTipoProduto: 3
                codigoProduto: PD 0010
                idFamiliaProduto: 3
                idGrupoProduto: 3
                idUnidadeMedida: 1
                pesoLiquido: '10'
                pesoBruto: '15'
                codigoProdutoModelo: PA 00002
                larguraEngenharia: '15'
                comprimentoEngenharia: '10'
                espessuraEngenharia: '2'
                atributos:
                  - nomeTecnico: tamanho
                    valor: '10'
                  - nomeTecnico: altura_lote
                    valor: '1'
                componentesListaMateriais:
                  - codigoProdutoComponente: MP 00005
                    qtdeNecessaria: '5'
                    naturezaConsumo: 1
                    qtdePerdaNormal: '1'
                    atributos:
                      - nomeTecnico: tamanho
                        valor: '2'
                      - nomeTecnico: altura_lote
                        valor: '6'
                    posicao: 1
                    produtoPai:
                      id: 5
                      codigo: PA 00001
                      descricao: Sacola plástica
                      servicoIndustrializacaoTerceiros: true
                    produtoComponente:
                      id: 6
                      codigo: PA 00001
                      descricao: Sacola plástica
                      servicoIndustrializacaoTerceiros: false
                    listaMateriais:
                      id: 1
                      nome: Lista de Materiais 1
                      descricao: ''
                      ativo: true
                      padrao: true
                      padraoBlocoK: false
                      qtdeBase: '2'
                    itemDeEmbarque: true
                operacoesRoteiroProduto:
                  - descricao: Operação XPTO
                    idCentroTrabalhoPlanejado: 1
                    operacao: 1
                    tempoOperacao: 200
                    tempoSetup: 100
                    tipoTempoOperacao: 1
                    recursosPlanejados:
                      - id: 1
                        nome: Recurso 1
                        ativo: true
                        centroTrabalho:
                          id: 1
                          nome: Centro de Trabalho 1
                          ativo: true
                          centroCusto: Centro
                          especialidadePadrao: Especialidade
                          producaoEmTerceiros: true
                anexos:
                  - nome: Anexo1.pdf
                    descricao: ''
                    anexoBase64: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                    incluirArquivoPDFAoDocumentoPDFOrdem: true
                    exportadoRelatorioPlanejamentoRecursos: true
                  - nome: Anexo2.zip
                    descricao: Apenas arquivos .pdf podem ser inclusos ao pdf da ordem
                    anexoBase64: YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY
                    incluirArquivoPDFAoDocumentoPDFOrdem: false
                    exportadoRelatorioPlanejamentoRecursos: true
      parameters:
        - name: Content-Type
          in: header
          schema:
            type: string
          example: application/json
        - name: Authorization
          in: header
          schema:
            type: string
          example: Basic {{chave-integração-rest}}
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                descricaoProduto: Descrição Produto Teste
                idTipoProduto: 3
                codigoProduto: PD 0010
                idFamiliaProduto: 3
                idGrupoProduto: 3
                idUnidadeMedida: 1
                pesoLiquido: '10'
                pesoBruto: '15'
                codigoProdutoModelo: PA 00002
                larguraEngenharia: '15'
                comprimentoEngenharia: '10'
                espessuraEngenharia: '2'
                atributos:
                  - nomeTecnico: tamanho
                    valor: '10'
                  - nomeTecnico: altura_lote
                    valor: '1'
                componentesListaMateriais:
                  - codigoProdutoComponente: MP 00005
                    qtdeNecessaria: '5'
                    naturezaConsumo: 1
                    qtdePerdaNormal: '1'
                    atributos:
                      - nomeTecnico: tamanho
                        valor: '2'
                      - nomeTecnico: altura_lote
                        valor: '6'
                    posicao: 1
                    produtoPai:
                      id: 5
                      codigo: PA 00001
                      descricao: Sacola plástica
                      servicoIndustrializacaoTerceiros: true
                    produtoComponente:
                      id: 6
                      codigo: PA 00001
                      descricao: Sacola plástica
                      servicoIndustrializacaoTerceiros: false
                    listaMateriais:
                      id: 1
                      nome: Lista de Materiais 1
                      descricao: ''
                      ativo: true
                      padrao: true
                      padraoBlocoK: false
                      qtdeBase: '2'
                    itemDeEmbarque: true
                operacoesRoteiroProduto:
                  - descricao: Operação XPTO
                    idCentroTrabalhoPlanejado: 1
                    operacao: 1
                    tempoOperacao: 200
                    tempoSetup: 100
                    tipoTempoOperacao: 1
                    recursosPlanejados:
                      - id: 1
                        nome: Recurso 1
                        ativo: true
                        centroTrabalho:
                          id: 1
                          nome: Centro de Trabalho 1
                          ativo: true
                          centroCusto: Centro
                          especialidadePadrao: Especialidade
                          producaoEmTerceiros: true
                anexos:
                  - nome: Anexo1.pdf
                    descricao: ''
                    anexoBase64: XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
                    incluirArquivoPDFAoDocumentoPDFOrdem: true
                    exportadoRelatorioPlanejamentoRecursos: true
                  - nome: Anexo2.zip
                    descricao: Apenas arquivos .pdf podem ser inclusos ao pdf da ordem
                    anexoBase64: YYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYYY
                    incluirArquivoPDFAoDocumentoPDFOrdem: false
                    exportadoRelatorioPlanejamentoRecursos: true
